#include<stdio.h>
long long N,L,R,x,y,z,br=0,p,q,r;
double A;
int main(){
	scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&L,&R);
	A=(1.0/p)+(1.0/q)+(1.0/r);
	if(A>1)printf("%lld",br)
	for(N=L;N<=R;N++){
		if(N%p!=0)x=N/p+1;
		else x=N/p;
		if(N%q!=0)y=N/q+1;
		else y=N/q;
		if(N%r!=0)z=N/r+1;
		else z=N/r;
		if(x+z+y<=N)br++;
	}
	printf("%lld",br);
	return 0;
}